#include <SoftwareSerial.h>
const byte rxPin = 3;
const byte txPin = 4;
const byte pir   = 0;
SoftwareSerial ESP8266 (rxPin, txPin);

void setup() {
  delay(3000);
  pinMode(pir, INPUT);
  pinMode(rxPin, INPUT);
  pinMode(txPin, OUTPUT);

  ESP8266.begin(xxx);//replace xxx with the baud rate your ESP8266-01 module
  delay(2000);

  ESP8266.println("AT+RST");
  delay(5000);
   
  ESP8266.println("AT+CWJAP=\"xxx\",\"yyy\"");// replace xxx with your Wi-Fi SSID and yyy with your wifi password
  delay(10000);
  
  ESP8266.println("AT+CWMODE=1");
  delay(2000);
  
  ESP8266.println("AT+CIPMUX=1");
  delay(60000);// leave your place within this time delay
    
}

void loop() {
  while (digitalRead(pir) == HIGH) {   
       
    ESP8266.println("AT+CIPSTART=4,\"TCP\",\"yourwebsite.com\",80"); // replace yourwebsite.com with your web address
    delay(2000);
    
    ESP8266.println("AT+CIPSEND=4,xxx");// replace xxx with the GET reruest length in the 39th line (ei:GET http://yourwebsite.com/esp8266.php?id=1&status=001 HTTP/1.0\r\n\r\n)
    delay(2000);
    
    ESP8266.println("GET http://yourwebsite.com/esp8266.php?id=1&status=001 HTTP/1.0\r\n\r\n"); 
    // replace yourwebsite.com with your web address 
    delay(2000);
    ESP8266.println("");
    delay(60000);
  
  }
  
}

